From da90758d339ad99426f19cd1ac1c320629d0463c Mon Sep 17 00:00:00 2001
From: Luke Leighton <lkcl@lkcl.net>
Date: Mon, 13 Sep 2010 21:19:30 +0100
Subject: [PATCH 31/34] add importance, resolve None issue in InboxGrid

---
 gnumed/gnumed/client/ProxiedWeb/gui/InboxGrid.py |   11 +++++++++--
 1 files changed, 9 insertions(+), 2 deletions(-)

diff --git a/gnumed/gnumed/client/ProxiedWeb/gui/InboxGrid.py b/gnumed/gnumed/client/ProxiedWeb/gui/InboxGrid.py
index 24da7f0..f3f6c94 100644
--- a/gnumed/gnumed/client/ProxiedWeb/gui/InboxGrid.py
+++ b/gnumed/gnumed/client/ProxiedWeb/gui/InboxGrid.py
@@ -1,10 +1,17 @@
+_indicator = {
+    -1: '',
+    0: '',
+    1: '*!!*'
+}
+
 def fill_grid_messages(grid, messages):
     """ fills in inbox messages into a grid
     """
-
-    grid = self.pp.grid
+    if messages is None:
+        messages = []
     grid.resize(1+len(messages), 5)
     for (row, item) in enumerate(messages):
+        grid.setHTML(row+1, 0, _indicator[item.importance])
         grid.setHTML(row+1, 1, str(item.received_when))
         grid.setHTML(row+1, 2, item.category)
         grid.setHTML(row+1, 3, item.type)
-- 
1.7.1

